<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Usuario</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<body>
{% if error %}
    <h1 style="color:red;">{{error}}</h1>
{% endif %}

<form method="post">
    {% csrf_token %}
    <div class="w3-row w3-section">

        <div class="w3-col" style="width:50px"><i class="w3-xxlarge fa fa-user icon"></i></div>
        <div class="w3-rest">
            <label>Nombre</label>
            <input class="w3-input w3-border" name="nombre" type="text" value="{{usuario.nombre}}">
        </div>
    </div>
    <div class="w3-row w3-section">
        <div class="w3-col" style="width:50px"><i class="w3-xxlarge fa fa-user icon"></i></div>
        <div class="w3-rest">
            <label>Apellido</label>
            <input class="w3-input w3-border" name="apellido" type="text" value="{{usuario.apellido}}">
        </div>
    </div>
        <div class="w3-row w3-section">
        <div class="w3-col" style="width:50px"><i class="w3-xxlarge fa fa-user icon"></i></div>
        <div class="w3-rest">
            <label>DNI</label>
            <input class="w3-input w3-border" name="dni" type="number" value="{{usuario.dni}}" readonly>
        </div>
    </div>
        <div class="w3-row w3-section">
        <div class="w3-col" style="width:50px"><i class="w3-xxlarge fa "></i></div>
        <div class="w3-rest">
            <label>Dispositivos</label>
            <br>
            <select name="tipo_dispositivo_id" style="width:200px" >
                {% for item in lista_dispositivo %}
                <option value="{{item.id}}" {% if item.id == usuario.tipo_dispositivo_id %}  selected {% endif %} >
                    {{ item.nombre }}
                </option>
                {% endfor %}
            </select>
        </div>
    </div>

    <p class="w3-center">
        <button class="w3-button w3-section w3-blue w3-ripple"> Aceptar </button>
        <button class="w3-button w3-section w3-blue w3-ripple"><a href="http://127.0.0.1:8000/"> Volver </a></button>
    </p>
</form>


<br>
<table class="w3-table-all w3-centered">
    <thead> <!-- encabezado -->
        <tr> <!-- fila -->
            <td>Nombre</td><td>Apellido</td><td>DNI</td><td>Dispositivo</td><!-- columna -->
        </tr>
    </thead>
    <tbody> <!-- cuerpo tabla -->
        {% for item in lista_usuario  %} <!-- llave -->
        <tr>
            <td>
                <ul class="w3-ul">
                    <li class="w3-hover-red">{{ item.nombre }}</li>
                </ul>
            </td>
            <td>
                <ul class="w3-ul">
                    <li class="w3-hover-red">{{ item.apellido }}</li>
                </ul>
            </td>
            <td>
                <ul class="w3-ul">
                    <li class="w3-hover-red">{{ item.dni }}</li>
                </ul>
            </td>
            <td>
                <ul class="w3-ul">
                    <li class="w3-hover-red">{{ item.tipo_dispositivo.nombre }}</li>
                </ul>
            </td>
            <td>
                <ul class="w3-ul">
                    <a href="altausuario/{{ item.id }}" > Eliminar </a>
                </ul>
            </td>
        </tr>
        {% endfor %}
    </tbody>
</table>
</body>
</html>
